require	'mxx_ru/cpp'

require 'oess_1/defs/version'

Mxx_ru::setup_target(
	Mxx_ru::Cpp::Dll_target.new( "oess_1/scheme/prj.rb" ) {

		required_prj( "oess_1/defs/prj.rb" )
		required_prj( "cls_2/prj.rb" )
		required_prj( "smart_ref_3/lib.rb" )

		Oess_1::setup_platform( self )

		target( "oess_scheme" + Oess_1::VERSION )

		define( "OESS_1__SCHEME__PRJ" )

		cpp_source( "builtin_names.cpp" )
		cpp_source( "types.cpp" )
		cpp_source( "scheme.cpp" )
		cpp_source( "text_parser.cpp" )

		sources_root( "impl" ) {
			cpp_source( "iface_refs.cpp" )
			cpp_source( "types_impl.cpp" )
			cpp_source( "scheme_impl.cpp" )
			cpp_source( "cls_tags.cpp" )
			cpp_source( "text_scheme_repres.cpp" )
			cpp_source( "serializer_gen.cpp" )
		}
	}
)
